On Monday, 22 September 2014 at 10:50:51 UTC, Nick Treleaven wrote:
AFAICT the test suite needs a separate MSYS install from the one Git uses, e.g. for a newer version of 'diff'. Not sure if that makes it harder for Digger to support.

It shouldn't be too hard. The difficult part is getting the environment right (e.g. the DMD test suite needs GNU make.exe but DigitalMars link.exe).

Downloading / installing more stuff should be easy. See e.g. the code for the Git installer:

https://github.com/CyberShadow/ae/blob/master/sys/install/git.d

Reply via email to